mybin

my ~/bin
git clone https://a3nm.net/git/mybin/
Log | Files | Refs | README

commit 50fdeec1938db4e9fd7b6969f8b5f8384f0da94f
parent b683e9f5aa34111e73a6169ee54d0317b2a26025
Author: Antoine Amarilli <a3nm@a3nm.net>
Date:   Mon, 17 Apr 2017 18:42:23 +0200

fix base64 newlines problem

Diffstat:
svn-poll | 4++--
svn-poll-drop | 2+-
svn-poll-init | 2+-
3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/svn-poll b/svn-poll @@ -13,7 +13,7 @@ DIFF_MAXB=$(($DIFF_MAX+1)) URL="$1" USER="$2" -BASE=$(base64 <<<"$URL") +BASE=$(base64 <<<"$URL" | tr -d '\n') DIR="$HOME/temp/svn-poll/$BASE" FILE="$DIR/rev" MUTEFILE="$DIR/muted" @@ -40,7 +40,7 @@ if ! [[ $LATEST =~ $re ]] ; then echo "errors encountered in the last $MAX_ERRORS attempts:" >&2 cat "$ERRORS" >&2 # reset the errors - echo "" > $ERRORS + echo "" > "$ERRORS" exit 1 fi # if we are here, we decided not to whine diff --git a/svn-poll-drop b/svn-poll-drop @@ -3,7 +3,7 @@ # say we are interested again in $URL URL="$1" -BASE=$(base64 <<<"$URL") +BASE=$(base64 <<<"$URL" | tr -d '\n') DIR="$HOME/temp/svn-poll/$BASE" MUTEFILE="$DIR/muted" diff --git a/svn-poll-init b/svn-poll-init @@ -4,7 +4,7 @@ # inits to the current revision in an unmuted state URL="$1" -BASE=$(base64 <<<"$URL") +BASE=$(base64 <<<"$URL" | tr -d '\n') DIR="$HOME/temp/svn-poll/$BASE" FILE="$DIR/rev" ERRORS="$DIR/errors"